List Participants
GET/agreements/:agreement_id/participants
Lists all participants for the agreement. The participants are returned in the order they were created or, if signing order is enabled, the order that is defined.
Request
Path Parameters
GET /agreements/:agreement_id/participants parameter
Responses
- 200
- 400
GET /agreements/:agreement_id/participants Successful response
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [1.0]
The version of the response schema
Possible values: [list]
A non-paginated list of the participant resource.
Possible values: [participant]
Data contains the participant resource.
{
"version": "1.0",
"result_type": "list",
"resource_type": "participant",
"data": [
{
"id": "ctgncogpxrpvl06zqmsexample",
"resource_type": "participant",
"name": "Jane Doe",
"email": "jane.doe@example.com",
"status": "draft",
"order": 1,
"signing_group": "cwxjzbm4majzn72q274example",
"agreement": "czg5nnt0d1xvtojsntmexample",
"signing_room_url": "https://www.zigned.se/sign/ckvxkvifauwbv5d8pzbexample/cctxaqdk9q6b3m3knnpexample",
"signing_room_link": {
"version": "1.0",
"result_type": "single",
"resource_type": "signing_room_link",
"data": {
"id": "cfbsvexzrxdiutehsi7example",
"resource_type": "signing_room_link",
"agreement_id": "cgqyyxtdopufdtcsdxpexample",
"url": "https://www.zigned.se/sign/ckvxkvifauwbv5d8pzbexample/cctxaqdk9q6b3m3knnpexample",
"status": "active",
"expires_at": "2024-01-01T00:00:00.000Z",
"created_at": "2024-01-01T00:00:00.000Z",
"updated_at": "2024-01-01T00:00:00.000Z"
}
},
"locale": "sv-SE",
"created_at": "2024-01-01T00:00:00.000Z",
"updated_at": "2024-01-01T00:00:00.000Z",
"role": "approver",
"decision_made_at": "2024-01-01T00:00:00.000Z"
}
]
}
GET /agreements/:agreement_id/participants Error response
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [error]
error objectrequired
Possible values: [input_validation_error, bad_request, authorization_error, forbidden_error, not_found_error, conflict_error, internal_server_error]
input_validation_error (400): the request input is invalid. bad_request (400): the request cannot be processed. authorization_error (401): the access token is missing or invalid. forbidden_error (403): the client is not allowed to perform the request. not_found_error (404): the resource does not exist. conflict_error (409): a concurrent change made the request invalid, e.g. the agreement stopped being editable while the request was processed. Re-fetch the resource before retrying. internal_server_error (500): an unexpected error occurred.
Possible values: >= 400 and <= 599
{
"status": "error",
"error": {
"type": "input_validation_error",
"code": 0,
"message": "string",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
}